[OS-BUILD PATCHv3 3/5] configs/process_configs.sh: make use of dummy-tools

[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index]

 



From: Philipp Rudo <prudo@xxxxxxxxxx>

configs/process_configs.sh: make use of dummy-tools

Using cc-option adds a dependency on the compiler in the configuration
environment. This usually breaks the config creation when the target
architecture is not the host architecture. As a remedy f88717cf44eb
("Temporarily switch TUNE_DEFAULT to y") unset failing configs to their
defaults. In the meantime upstream introduced the scripts/dummy-tools,
which are meant to disable cc-option checks by always returning 'y'.
Make use of the dummy-tools and revert the workaround.

Signed-off-by: Philipp Rudo <prudo@xxxxxxxxxx>

diff --git a/redhat/configs/pending-common/generic/s390x/CONFIG_TUNE_DEFAULT b/redhat/configs/pending-common/generic/s390x/CONFIG_TUNE_DEFAULT
deleted file mode 100644
index blahblah..blahblah 0
--- a/redhat/configs/pending-common/generic/s390x/CONFIG_TUNE_DEFAULT
+++ /dev/null
@@ -1,4 +0,0 @@
-# Broken in commit 5474080a3a0a ("s390/Kconfig: make use of 'depends on
-# cc-option'"); refer to
-# https://lore.kernel.org/lkml/20191209164155.GA78160@xxxxxxxxxxxxxx/
-CONFIG_TUNE_DEFAULT=y
diff --git a/redhat/configs/pending-common/generic/s390x/CONFIG_TUNE_Z14 b/redhat/configs/pending-common/generic/s390x/CONFIG_TUNE_Z14
deleted file mode 100644
index blahblah..blahblah 0
--- a/redhat/configs/pending-common/generic/s390x/CONFIG_TUNE_Z14
+++ /dev/null
@@ -1 +0,0 @@
-# CONFIG_TUNE_Z14 is not set
diff --git a/redhat/configs/process_configs.sh b/redhat/configs/process_configs.sh
index blahblah..blahblah 100755
--- a/redhat/configs/process_configs.sh
+++ b/redhat/configs/process_configs.sh
@@ -193,11 +193,11 @@ function commit_new_configs()
 		fi
 		echo -n "Checking for new configs in $cfg ... "
 
-		make ARCH="$arch" KCONFIG_CONFIG="$cfgorig" listnewconfig >& .listnewconfig
+		make ARCH="$arch" CROSS_COMPILE=scripts/dummy-tools/ KCONFIG_CONFIG="$cfgorig" listnewconfig >& .listnewconfig
 		grep -E 'CONFIG_' .listnewconfig > .newoptions
 		if test -s .newoptions
 		then
-			make ARCH="$arch" KCONFIG_CONFIG="$cfgorig" helpnewconfig >& .helpnewconfig
+			make ARCH="$arch" CROSS_COMPILE=scripts/dummy-tools/ KCONFIG_CONFIG="$cfgorig" helpnewconfig >& .helpnewconfig
 			parsenewconfigs
 		fi
 		rm .newoptions
@@ -227,7 +227,7 @@ function process_configs()
 		fi
 		echo -n "Processing $cfg ... "
 
-		make ARCH="$arch" KCONFIG_CONFIG="$cfgorig" listnewconfig >& .listnewconfig
+		make ARCH="$arch" CROSS_COMPILE=scripts/dummy-tools/ KCONFIG_CONFIG="$cfgorig" listnewconfig >& .listnewconfig
 		grep -E 'CONFIG_' .listnewconfig > .newoptions
 		if test -n "$NEWOPTIONS" && test -s .newoptions
 		then
@@ -252,7 +252,7 @@ function process_configs()
 
 		rm .listnewconfig
 
-		make ARCH="$arch" KCONFIG_CONFIG="$cfgorig" olddefconfig > /dev/null || exit 1
+		make ARCH="$arch" CROSS_COMPILE=scripts/dummy-tools/ KCONFIG_CONFIG="$cfgorig" olddefconfig > /dev/null || exit 1
 		echo "# $arch" > "$cfgtmp"
 		cat "$cfgorig" >> "$cfgtmp"
 		if test -n "$CHECKOPTIONS"

--
https://gitlab.com/cki-project/kernel-ark/-/merge_requests/1144
_______________________________________________
kernel mailing list -- kernel@xxxxxxxxxxxxxxxxxxxxxxx
To unsubscribe send an email to kernel-leave@xxxxxxxxxxxxxxxxxxxxxxx
Fedora Code of Conduct: https://docs.fedoraproject.org/en-US/project/code-of-conduct/
List Guidelines: https://fedoraproject.org/wiki/Mailing_list_guidelines
List Archives: https://lists.fedoraproject.org/archives/list/kernel@xxxxxxxxxxxxxxxxxxxxxxx
Do not reply to spam on the list, report it: https://pagure.io/fedora-infrastructure




[Index of Archives]     [Fedora General Discussion]     [Older Fedora Users Archive]     [Fedora Advisory Board]     [Fedora Security]     [Fedora Devel Java]     [Fedora Legacy]     [Fedora Desktop]     [ATA RAID]     [Fedora Marketing]     [Fedora Mentors]     [Fedora Package Announce]     [Fedora Package Review]     [Fedora Music]     [Fedora Packaging]     [Centos]     [Fedora SELinux]     [Coolkey]     [Yum Users]     [Tux]     [Yosemite News]     [KDE Users]     [Fedora Art]     [Fedora Docs]     [USB]     [Asterisk PBX]

  Powered by Linux